# 51. Dotaz: Získat mřížkovaná data z "YieldDataset"

Dotaz pro získání rastrálních (mřížkových) dat z datasetu „YieldDataset“ jako `GEOJSON`  s body nebo `GEOTIFF`.Atribut properties obsahuje všechny atributy datasetu pro každý bod.&#x20;

#### 1. Požádejte o soubor k exportu

{% hint style="danger" %}
Doporučuje se načítat pouze jednu sadu dat s `sourceDataUrl` na jeden požadavek.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, a `MinusTwoPixels` jsou dostupné jako `vyrovnávací pásmo`.

`GEOJSON` a `GEOTIFF` jsou dostupné jako formát.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Stáhněte vygenerovaný soubor

Po úspěšném připravení souboru je možné ho stáhnout pomocí `curl` nebo podobným způsobem.

{% hint style="danger" %}
`sourceDataUrl` odkaz je přístupný pouze **60 s.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/51.-dotaz-ziskat-mrizkovana-data-z-yielddataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
